# Define version and release number
%define modname pspell
%define soname %{modname}
%define inifile A90_%{modname}.ini
#define prerel beta
%define incdir %(php-config --include-dir)
%define extdir %(php-config --extension-dir)


Name:		php-%{modname}
Version:	1.0.1
Release:	%mkrel 1
Group:		Development/PHP
Summary:	This extension allows you to check the spelling of a word and offer suggestions
License:	BSD-3-Clause
URL:		https://pecl.php.net/package/%{modname}
Source0:	https://pecl.php.net/get/%{modname}-%{version}%{?prerel}.tgz
BuildRequires:	php-devel >= 3:8.3.0
BuildRequires:	aspell-devel > 0.50.0
Requires:	php >= 3:8.3.0
Requires:	php-common = 3:8.3

%description
This extension allows you to check the spelling of a word and offer suggestions.

%prep

%setup -q -n %{modname}-%{version}%{?prerel}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild
phpize
%configure --with-libdir=%{_lib} \
	--with-%{modname}=shared,%{_prefix}

%make_build

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_bindir}
install -m0755 modules/%{soname}.so %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF

%files
%doc package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}.so


%changelog
* Tue Dec 05 2023 mokraemer <mokraemer> 1.0.1-1.mga10
+ Revision: 2013524
- some rpmlint
- initial release
- Created package structure for php-pspell.

